lives (2.2.2~ds0-4) experimental; urgency=low

  * Team upload.
  * Compile against libav10 (Closes: #739327)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 04 Apr 2014 21:47:42 -0400

lives (2.2.2~ds0-4~exp1) experimental; urgency=low

  * Split lives's binary and plugins.
  * Introduce multi-arch.
  * Port plugins to Python 3.
  * Drop Python 2 support.

 -- Alessio Treglia <alessio@debian.org>  Thu, 13 Mar 2014 09:00:35 +0000

lives (2.2.2~ds0-3) unstable; urgency=medium

  * debian/patches/99-workaround_av_find_stream_info.patch:
    - Replace dirty workaround with proper patch cherry-picked from
      upstream's SVN (see #741132).
  * debian/patches/99-reload_osc.patch:
    - Prevent crash when reloading OSC devices.

 -- Alessio Treglia <alessio@debian.org>  Tue, 11 Mar 2014 14:32:01 +0000

lives (2.2.2~ds0-2) unstable; urgency=low

  * Fix catastrophic crash in 2.2.2. (Closes: #741132)

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Mar 2014 17:10:34 +0000

lives (2.2.2~ds0-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refresh patches.
  * Refresh debian/*'s copyright holders.

 -- Alessio Treglia <alessio@debian.org>  Sat, 08 Mar 2014 15:06:43 +0000

lives (2.2.0~ds0-1) unstable; urgency=low

  * New upstream release:
    - Add new avformat_decoder.
    - Optimisations for handling larger clips.
    - Use threading for pulling frames from video clips.
    - Much faster loading/saving of layouts in multitrack.
    - Fix crash in swscale when frame width is not multiple of 4.
    - Fix crash (regression) setting parameters in multitrack.
    - Fix breakage in multiple image loading.
    - Fix opening preview for quick opening clips.
    - Fix bug in "delete frames" for virtual clips.
    - Fix audio encoding in "Encode Selection"
    - Fixes for letterbox mode playback.
    - Compilation fixes for Debian Sid.
    - Various improvements to rte window.
    - Add "randomiser" data processing plugin.
    - Improvements to colour correction and tvpic effects.
    - Fix jack transport during playback (regression).
    - Fix for saving data connection mappings.
    - Implement multiple inputs per output in the data connector.
    - Optimised thread locking between audio and video effects threads.
    - Fix problems with setting defaults for colour values.
    - Decoder plugin fixes for ffmpeg 2.2 (needs further testing).
    - Preserve clip comments and renamed clip names between restarts.
    - Small fixes for rfx_builder window.
    - Minor GUI improvements.
    - Add initial translation to Piemontese. (Simon Uslengh).
    - Updated translations to UK English, German, Russian and Ukranian.
  * Refresh patches, remove 03-libav9.patch as it is applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Dec 2013 09:34:40 +0000

lives (2.0.6~ds0-2) unstable; urgency=low

  * Team upload.
  * Further porting to libav 9. (Closes: #729344)
    - debian/patches/03-libav9.patch: Use patch from upstream to fix compilation
      issues with libav9.
    - debian/control: Add dh-autoreconf and autoconf-archive to Build-Depends
      instead of autoconf-dev.
    - debian/rules: Use dh-autoreconf to rebuild configure.
  * debian/control:
    - Bump Standards-Version to 3.9.5.
    - Remove ffmpeg from Suggests. (Closes: #691434)
    - Add libfftw3-dev to Build-Depends to build beat detector plugin.
      (Closes: #726193)
  * debian/rules: Remove executable bit from txt files in
    usr/lib/lives/plugins/effects/realtime/weed/data/fourKlives/songs.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Nov 2013 22:26:44 +0100

lives (2.0.6~ds0-1) unstable; urgency=low

  * New upstream release.
  * Promote youtube-dl to Recommends.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 10:10:27 +0100

lives (2.0.5~ds0-2) unstable; urgency=low

  * Team upload.
  * debian/patches/03-libav9.patch: Fix compilation with libav 9. Thanks to
    Moritz Muehlenhoff for the inital patch. (Closes: #720805)
  * debian/control: Bump debhelper in Build-Depends to >= 8.1 for
    *-{arch,indep} support (required by Standards-Version 3.9.4)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 27 Aug 2013 18:18:51 +0200

lives (2.0.5~ds0-1) unstable; urgency=low

  * New upstream release.
  * Refresh 01-cdda2wav_to_icedax.patch.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Jun 2013 23:03:39 +0100

lives (2.0.4~ds0-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream bugfix release:
    - Fix regressions in Paste as New, Fade Audio In/Out, load images.
    - Fix occasional crash in load new audio.
    - Fix bug affecting resizing some webcam frames.
    - Fix rowstride errors in effecTV plugins.
    - Add revTV effect.
  * Refresh patches.
  * Update libweed0's symbols file.
  * Remove obsolete DM-Upload-Allowed: yes field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 May 2013 08:24:00 +0200

lives (2.0.3~ds0-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Apr 2013 16:31:03 +0100

lives (2.0.2~ds0-1) experimental; urgency=low

  * New upstream release:
    - Fix crash in recording external audio with pulse player (regression).
    - Minor widget fixes with startup dialogs and labels (regression).
    - Refactor timeline drawing in multitrack.
    - Enable compilation with gtk+ 3.
    - Implement new timeline widget for gtk+ 3.
    - Prevent some audio being dropped when re-entering multitrack.
    - Fixes for beat_detector plugin.
    - Various optimisations and minor bugfixes.
    - Updates to all language translations (added translator credits).
  * Refresh patches.
  * debian/control:
    - Port to GTK+3.0.
    - Fix Vcs canonical URL.
  * debian/copyright: Refresh.

 -- Alessio Treglia <alessio@debian.org>  Sun, 07 Apr 2013 19:16:32 +0100

lives (1.8.2~ds0-1) experimental; urgency=low

  * New upstream release.
  * Drop 11-format_security.patch, applied upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Jan 2013 14:29:18 +0000

lives (1.8.0~ds0-1) experimental; urgency=low

  * New upstream release:
    - Fix breakage in multitrack effects (regression).
    - Fix crash when re-entering multitrack mode (regression).
    - Fix a crash in text parameter entry (regression).
    - Add support for compound filters.
    - Add new realtime effect - shift.
    - Add new data processing filters: alpha_means, data_processing.
    - Add new compound effect - image_stabilizer (requires openCV).
  * Demote youtube-dl to Suggests. (LP: #1060158)
  * Cherry-pick 11-format_security.patch from upstream trunk to prevent
    FTBFS with -Wformat -Werror=format-security.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 23:46:21 +0000

lives (1.6.4~ds1-1) experimental; urgency=low

  * New upstream bugfix release.
  * Remove debian/patches/03-fix_startup_with_jack.patch, applied upstream.
  * Refresh other patches.
  * debian/control:
    - Build-Depends on libmjpegtools-dev.
    - Promote mencoder to Recommends.
    - Promote python to Depends.
  * debian/README.Debian:
    - transcode and mencoder are now available in Debian.

 -- Alessio Treglia <alessio@debian.org>  Wed, 22 Aug 2012 14:58:39 +0200

lives (1.6.2~ds1-2) unstable; urgency=low

  * Really set JACK as audio backend when Pulse is not
    available. (Closes: #664523)

 -- Alessio Treglia <alessio@debian.org>  Sun, 08 Jul 2012 11:31:59 +0200

lives (1.6.2~ds1-1) unstable; urgency=low

  * New upstream bugfix release:
    - Clean up timer code.
    - Show more accurate progress for rendering after recording.
    - Call init triggers for rendered transitions.
    - Fix triggers for rendered effects (regression).
    - Fix regression in file open preview.
    - Add workaround for breakage in mplayer/ffmpeg (see
      http://bugzilla.mplayerhq.hu/show_bug.cgi?id=2071)
    - Fix hang in Preferences open when image type is set to
      jpeg (regression).
    - Fix regression in undo cut.
    - Fix regression for pad audio.
    - Quick opening of mpegts files.
    - Faster backup/restore.
    - Enable exchange of layouts between 32 bit and 64 bit systems.
    - Add support for video analyser plugins.
    - Add support for data processing plugins.
    - Add support for audio generator plugins.
  * Refresh patches.
  * Enable hardening flags.
  * Add ${perl:Depends},${python:Depends} to lives-data's Depends field.
  * Remove static libraries.
  * Update debian/copyright.
  * Update changelog.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Jun 2012 09:20:52 +0200

lives (1.6.1~ds1-1) unstable; urgency=low

  * New upstream release:
    - Add (experimental) openGL playback plugin.
    - Optimise playback by tweaking audio settings.
    - Fix regression in backup.
    - Fix floating point fps bug for mkv decoder.
    - Fix external window capture to work with Compiz.
    - Minor GUI fixes.
    - Implement recording of external audio during playback.
    - Prevent clip names getting squashed in sets.
    - Further code cleanup.
    - Updated translations to Ukranian, Finnish and UK English.
  * Replace hurd-i386 with hurd-any.
  * Blacklist frei0r on armhf.
  * Add youtube-dl to Recommends of lives.
  * Add experimental support for GLee.
  * Refresh patches.
  * Remove 91-lives_160_ftbfs.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Feb 2012 17:46:58 +0100

lives (1.6.0~ds1-4) unstable; urgency=low

  * Fix small typo in upstream patch.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Feb 2012 12:55:01 +0100

lives (1.6.0~ds1-3) unstable; urgency=low

  * Add libweed-dbg to lives-dbg's Depends field.
  * Second attempt to fix FTBFS on kfreebsd.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Feb 2012 11:00:21 +0100

lives (1.6.0~ds1-2) unstable; urgency=low

  * Attempt to fix FTBFS on kfreebsd.

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Feb 2012 00:22:33 +0100

lives (1.6.0~ds1-1) unstable; urgency=low

  * New upstream stable release.
  * Add mechanism to repack upstream tarball to strip out VCS directories.
  * Drop 11-weed_headers.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 Jan 2012 09:51:19 +0100

lives (1.4.9-2) unstable; urgency=low

  * Build-depend on libxv-dev (Closes: #652822).

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Jan 2012 12:29:18 +0100

lives (1.4.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 16 Dec 2011 09:52:11 +0100

lives (1.4.8-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on libswscale-dev.
  * Drop 03-libav.patch, applied upstream.
  * Take patch 11-weed_headers.patch from upstream trunk to prevent it
    FTBFS due to the misplacement of libweed's header files (shortly, it
    failed to build when libweed was not system-wide available).
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Dec 2011 21:24:07 +0100

lives (1.4.7-1) unstable; urgency=low

  * New upstream release (LP: #878233):
    - Instant opening of asf (wmv) files.
    - Fix broken opening of float and reverse endian audio. *
    - Implement enable/disable of individual decoder plugins in Preferences.
    - Complete translation to Japanese.
    - Updated translations to Ukranian, Spanish and Polish.
  * wrap-and-sort -a -b -s

 -- Alessio Treglia <alessio@debian.org>  Sat, 22 Oct 2011 11:17:51 +0200

lives (1.4.6-1) unstable; urgency=low

  * New upstream bugfix release (LP: #836520):
    - Fix hang when applying effect to a single frame in a virtual clip.
    - Fix decoding for some ogg/theora files with broken keyframes.
    - Add several new OMC commands.
    - Compatibility fixes for frei0r 1.2.
    - Various minor fixes.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Aug 2011 10:06:07 +0200

lives (1.4.5-2) unstable; urgency=low

  * Add build-dep on libunicap2-dev (LP: #821791) to enable live v4l-capable
    devices.
  * Add missing build-dep on libavformat-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 06 Aug 2011 11:52:14 +0200

lives (1.4.5-1) unstable; urgency=low

  * New upstream release:
    - Add -tmpdir startup option.
    - Stop PAL formats reverting to NTSC in x264 encoder.
    - Fix bug to add fewer blank lines to ~/.lives file.
    - Do not show "Loaded subtitles" message when subtitles are not loaded.
    - Instant opening of some .flv files.
    - Move correct pointer (start or end) when the timeline is clicked in
      longer files.
    - Add video fade in/out effect.
    - Fix frames being cut after applying effects in virtual clips.
    - Clean up code for rendered effects post-processing.
    - Clean up code for dynamic menu building.
    - Front end stability fixes.
    - Mouse scroll now switches clips in the play window too.
  * Enable parallel builds.
  * Replace negated list of architectures with linux-any (Closes: #634372);
    use kfreebsd-any when other Linux archs are blacklisted.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Jul 2011 10:58:21 +0200

lives (1.4.4-1) unstable; urgency=low

  * New upstream release:
    - Fix compilation problem for missing linux/videodev.h
    - Fix important bug with audio shifting when leaving/re-entering
      multitrack mode. *
    - Add support for spacial multithreading in effects plugins.
    - Fix antialias option in Preferences (regression). *
    - Fix buttons in Frame Calculator (regression). *
    - Fix updating of parameters with fileread textfields. *
    - Add new oggstream playback plugin.
    - Add new realtime effects: RGB_delay, YUV_delay and mask_overlay.
    - Updated translations to Brazilian Portuguese, German, Japanese
      and Ukranian.
  * Refresh patches.
  * Remove 03-v4l1-videodev.patch as it is no longer needed.
  * Remove useless debian/patches/removepy.diff.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Jun 2011 12:05:30 +0200

lives (1.4.2-2) unstable; urgency=low

  * Blacklist libv4l-dev on hurd,kfreebsd-* since it is not available on
    these architectures.
  * debian/{control,rules}:
    - Switch to dh_python2.
  * debian/control:
    - Fix lintian's description-synopsis-starts-with-article warning.
    - Update Standards-Version to 3.9.2.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Apr 2011 12:48:35 +0200

lives (1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Rely on libv4l-dev to provide V4L1 support.
  * Build-Depends on libv4l-dev.
  * Refresh 01-cdda2wav_to_icedax.patch.

 -- Alessio Treglia <alessio@debian.org>  Wed, 30 Mar 2011 09:38:01 +0200

lives (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Needs GTK+2.0 2.16 or higher, bump build-dependency properly,
  * Refresh 01-cdda2wav_to_icedax.patch patch.
  * Refresh 02-drop_py3_multiencoder.patch patch.
  * Remove svn control directories.
  * Prune empty directories.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Feb 2011 14:09:51 +0100

lives (1.3.10-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 23:56:31 +0100

lives (1.3.10-2) experimental; urgency=low

  * Add -DBG packages.

 -- Alessio Treglia <alessio@debian.org>  Thu, 20 Jan 2011 16:22:27 +0100

lives (1.3.10-1) experimental; urgency=low

  * New upstream release:
    - Fix regression in multitrack effects rendering.
    - Updated translation to Ukranian.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Sep 2010 15:18:35 +0200

lives (1.3.9-1) experimental; urgency=low

  * Yet-another-upstream-bugfix-release to fix a startup bug.

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Sep 2010 11:15:15 +0200

lives (1.3.8-1) experimental; urgency=low

  * New upstream release:
    - Fix possible crash on startup bug; this regression affects
      release 1.3.7 on Ubuntu maverick only (LP: #638869).
    - Further audio insert/delete optimisations.
    - Fix bug - audio rendering can be affected by preview.
    - Quantise audio rendering to output frame rate.
  * Refresh 01-cdda2wav_to_icedax.patch patch.
  * Remove 11-svn_rev715.patch patch, applied upstream.
  * Remove 12-svn_rev716.patch patch, applied upstream.
  * Remove 13-svn_rev718.patch patch, applied upstream.
  * Add debian/source/local-options to de-apply patches after
    running git-buildpackage.

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Sep 2010 17:26:17 +0200

lives (1.3.7-1) experimental; urgency=low

  * New upstream release:
    - Version 1.3.7 (13 Sep 2010)
      + Fix regression in Insert Silence.
      + Optimise audio insert/delete.
      + Updated translation to Estonian.
    - Version 1.3.6 (11 Sep 2010)
      + Fix crash when setting custom encoding variables [regression].
      + Display correct output format/audio format when encoding [regression].
      + Fix breakage in yuv4mpeg stream loader [regression].
      + Fix frame loss in undo resample [regression].
      + Fix for insert with downsampling [regression].
      + Allow cancel in Paste as New.
      + Add -nothreaddialog startup option.
  * Refresh 01-cdda2wav_to_icedax.patch patch.
  * debian/patches/11-svn_rev715.patch:
    - Fix rendering after preview.
  * debian/patches/12-svn_rev716.patch:
    - Quantise audio rendering to op frame rate.
  * debian/patches/13-svn_rev718.patch:
    - Small fix for 'nervous' key.
    - Add key to show sync stats.
  * debian/rules:
    - Improve the grepping of the 'Version' field, otherwise it may fail
      to build with unusual changelog entries.

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Sep 2010 10:01:06 +0200

lives (1.3.5-2) experimental; urgency=low

  * Rename cdda2wav_to_icedax.diff patch.
  * Drop Python3 version of multiencoder plugin (LP: #632833).

 -- Alessio Treglia <alessio@debian.org>  Fri, 10 Sep 2010 13:33:11 +0200

lives (1.3.5-1) experimental; urgency=low

  * New upstream release.
  * Update debian/gbp.conf
  * Bump Standards.
  * Refresh debian/patches/cdda2wav_to_icedax.diff patch.
  * Remove debian/patches/10-missing_include.patch patch, applied
    upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 10 Sep 2010 09:26:32 +0200

lives (1.3.4-1) unstable; urgency=low

  * New upstream release:
    - Minor a/v sync fix.
    - Add more formats to x264 encoder (needs testing).
    - Add experimental webm encoding support in ffmpeg_encoder.
    - Fix crash when right clicking in mt with no clips loaded.
    - Const correctness in code (A. Penkov)
    - Fix possible crash in rendered generators, and add them to crash
      recovery.
    - Thread context fix for gtk+ 2.22 and higher.
    - Fix startup mplayer png/alpha test.
    - Fix end image size problem (regression).
    - Updates to decoder plugins (make threadsafe).
    - Add plugin decoder support for ogg/dirac files.
    - Faster seeking in ogg/theora files.
    - Apply theming to the Prefences dialog (A. Kolga)
    - Move weed palette definitions into weed-palettes.c
    - Code cleanup - use enums instead of #defines where possible.
    - Add new scribbler plugin (Penkov)
    - Initial translation to Croatian.
    - Updated translations to Hebrew, Polish, Turkish, Russian and Italian.
  * Change my email address
  * Update debian/copyright.
  * Add menu file provided by Sérgio Cipolla (Closes: #587647).
  * Bump Standards.
  * Suggest mencoder,mjpegtools.
  * Add .gitignore file.
  * Refresh cdda2wav_to_icedax.diff patch.
  * Drop removepy.diff, upstream has renamed *.py files.
  * Drop pgrep_pkill_remove.diff patch since p{grep,kill} checks have
    been removed from configure{,.in}.
  * Continue dropping Python 3 modules.
  * Switch to format 3.0 (quilt).
  * Don't rename marcos-encoders:
    - They have been renamed by upstream.
    - Rename manpages.
    - Update debian/lives-data.manpages file.
  * Adjust versioned debhelper build-dependency.
  * Use autotools_dev addon.
  * Build-depend on libvorbis-dev to provide Vorbis support.
  * debian/watch: Point to bzip2-ed tarball.
  * Add patch to fix FTBFS due to a missing #include statement.
  * debian/copyright:
    - Fix copyright-refers-to-deprecated-bsd-license-file lintian warning.
  * Remove .la files, it's a release goal for squeeze.
  * Move all doc files provided by upstream under /usr/share/doc/lives.

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Jul 2010 12:00:11 +0200

lives (1.3.3-2) unstable; urgency=low

  [ Harry Rickards ]
  * Added a patch that removes the buildtime checks for the runtime
    dependencies pgrep and pkill from configure and configure.in
  * Added procps to runtime dependencies

  [ Alessio Treglia ]
  * Improve packages description.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 11 May 2010 20:06:42 +0200

lives (1.3.3-1) unstable; urgency=low

  [ Harry Rickards ]
  * Removed three patches that were integrated into upstream. Fixes build
    problem in 1.3.3-1
  * Fixed the hyphen-used-as-minus-signs in build-lives-rfx-plugin.1
  * Added Alexej Kolga (new upstream author) to debian/copyright file.
  * Added /usr/bin/build-lives-rfx-plugin and /usr/bin/build-lives-rfx-
    plugin-multi to debian/lives-data.install as they weren't present in
    the build .debs. Also added the manpages.
  * Imported Upstream version 1.3.3

  [ Alessio Treglia ]
  * Add Forwarded field into debian/patches/removepy.diff patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 10 May 2010 23:15:53 +0200

lives (1.3.2-3) unstable; urgency=low

  [ Harry ]
  * Added two patches from upstream, fixing a crash in effect previews
    and an 'Are you sure' prompt

  [ Alessio Treglia ]
  * Set pkg format to 1.0.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 27 Apr 2010 11:48:16 +0200

lives (1.3.2-2) unstable; urgency=low

  [ Harry Rickards ]
  * Added patch from upstream that fixes the mipsel build.
  * Added packaging exception for frei0r-plugins-dev so package builds
    on sparc64

  [ Alessio Treglia ]
  * debian/patches/makefile_am.diff: Add patch tags as per DEP-3.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 11 Apr 2010 12:40:32 +0200

lives (1.3.2-1) unstable; urgency=low

  [ Harry Rickards ]
  * Updated packaging exceptions so package builds on avr32, m68k and
    sparc64.

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh debian/patches/cdda2wav_to_icedax.diff patch.
  * debian/patches/removepy.diff.
    - Refresh.
    - Correct a small typo.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 21 Mar 2010 23:08:46 +0100

lives (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/lives.1: Fix hyphen-used-as-minus-sign lintian warning.
  * Bump Standards.
  * Update debian/copyright.
  * Refresh all patches, drop imageloading.diff, applied by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 28 Feb 2010 12:24:13 +0100

lives (1.1.8-2) unstable; urgency=low

  [ Harry Rickards ]
  * Changed maintainer to Debian Multimedia Maintainers
  * Started using git
  * Moved dirac_encoder to lives_dirac_encoder (Closes: #564665)
  * Made removepy patch have DEP-3 compliant header
  * Removed the old VCS tags for SVN
  * Added myself to Uploaders:
  * Moved from dpatch to quilt
  * Added VCS-Git and VCS-Browser tags
  * Added upstream patch that fixes image loading. Will be released
    upstream in 1.1.9
  * Removed frei0r-plugins-dev for powerpc
  * Removed unnecessary build-depends on python
  * Removed libdirac-encoder0 and libdirac-decoder0 as they should
    be pulled in via shlibs.
  * Updated to use Debian fork of cdda2wav, icedax.
  * Added more detail to debian/README.source and updated for quilt
  * Added debian/README.Debian giving details about transcode,
    mencoder and mjpegtools
  * Added theora and ogg to Recommends: in debian/control so users at
    least have ogg and theora to encode in
  
  [ Alessio Treglia ]
  * debian/rules:
    - Don't include quilt.make rules file, it's unnecessary.
    - Adjust clean target properly.
  * debian/control:
    - Set debhelper build-dependency version to 7.0.50~ (to make backporters'
      life easy).
    - Bump-up quilt to (at least) 0.46-7~.
    - Add myself to the Uploaders field.
    - Replace libjack0.100.0-dev with libjack-dev.
    - Drop unnecessary dependencies already provided by shlibs files.
    - Small corrections to the runtime packages description.
  * debian/patches/removepy.diff:
    - Converted to quilt format.
  * Remove debian/LiVES.desktop, the same file is already provided by
    upstream.

  [ Reinhard Tartler ]
  * use multiline depends for lives' recommends field

 -- Harry Rickards <hrickards@l33tmyst.com>  Mon, 11 Jan 2010 18:55:23 +0000

lives (1.1.8-1) unstable; urgency=low

  * New upstream release (LP: #503348)

 -- Harry Rickards <hrickards@l33tmyst.com>  Wed, 06 Jan 2010 10:27:56 +0000

lives (1.1.7-1) unstable; urgency=low

  * Added marcos-encoders (Closes: #562515) and added a patch to make this work
  * Because of the patch added dpatch to debian/rules and debian/control
  * New upstream release (Closes: #555563)
  * Added dirac and ffmpeg to debian/control for marcos-encoders
  * Set default dpkg flags to none (LP: #481085)

 -- Harry Rickards <hrickards@l33tmyst.com>  Mon, 28 Dec 2009 09:03:12 +0000

lives (1.1.6-1) unstable; urgency=low

  * New upstream release
  * Unupdated debian/rules for dpatch
  * Removed patch for fixing the bug because in upstream now

 -- Harry Rickards <hrickards@l33tmyst.com>  Mon, 16 Nov 2009 16:27:02 +0000

lives (1.1.5-2) unstable; urgency=low

  * Removed the -present bit in debian/copyright
  * Added patch for fixing a bug that causes a crash on playback with pulse
  * Updated debian/rules for dpatch

 -- Harry Rickards <hrickards@l33tmyst.com>  Fri, 30 Oct 2009 15:10:15 +0000

lives (1.1.5-1) unstable; urgency=low

  * New upstream version.
  * Fixed copyright to include myself
  * Added old previously-removed changelog entries

 -- Harry Rickards <hrickards@l33tmyst.com>  Tue, 27 Oct 2009 16:55:59 +0000

lives (1.1.4-1) unstable; urgency=low

  * New upstream version
  * Removed SaveFileName patch from debian/patches as it's now integrated
    in upstream
  * Added ogmtools to debian/control to Depends:
  * Removed libdirectfb-dev from Build-Depends: for hurd-i386 because it needs
    porting.
  * Changed section from graphics to video to fix override disparity (video was
    only added as a section recently)
  * Updated descriptions

 -- Harry Rickards <hrickards@l33tmyst.com>  Sat, 17 Oct 2009 07:36:38 +0100

lives (1.1.3-1) unstable; urgency=low

  * New upstream version
  * Updated gtk version required to 2.14 or higher
  * Changed depends in debian/control for libweed-dev depending libweed0
    to equal source version
  * Added libpulse-dev to Build-Depends:
  * Added libpulse0 to Depends
  * Added SaveFileName patch to debian/patches on upstream advice

 -- Harry Rickards <hrickards@l33tmyst.com>  Mon, 28 Sep 2009 16:30:05 +0000

lives (1.1.2-2) unstable; urgency=low

  * Fixed FTBFS because of forgotten ! in debian/control (Closes: #546305)
  * Changed x11utils to x11-utils

 -- Harry Rickards <hrickards@l33tmyst.com>  Sat, 12 Sep 2009 16:07:46 +0100

lives (1.1.2-1) unstable; urgency=low

  * New upstream version
  * Added build dependency on libasound2-dev per upstream advice
  * Added dependency on libasound2 per upstream advice

 -- Harry Rickards <hrickards@l33tmyst.com>  Sat, 12 Sep 2009 09:42:10 +0100

lives (1.0.0-6) unstable; urgency=low

  * Removed libsox-dev from Build-Depends per upstream request
  * Removed frei0r for arm
  * Removed frei0r for powerpc as frei0r isn't endian safe

 -- Harry Rickards <hrickards@l33tmyst.com>  Fri, 28 Aug 2009 17:13:12 +0100

lives (1.0.0-5) unstable; urgency=low

  * Removed the bit about PATH from debian/wrapper/lives
  * Removed duplicate entry of Niels Elburg from debian/copyright
  * Added the right dependencies taken from the packaging notes
  * Fixed debian/watch to not think pre-release versions are newer than
    release ones
  * Replaced automake1.10 with automake
  * Made frei0r-plugins-dev and frei0r-plugins not for kfreebsd
  * Made libavc1394, libavc1394-dev, libraw1394 and libraw1394-dev not for
    kfreebsd
  * Added SVN and VCS Browser URL's to debian/control
  * Made the end of the smogrify manpage a bit more formal
  * Removed the autogen.sh bit from debian/rules as it doesn't seem to work
    Seeing as autogen.sh doesn't seem to be needed dh must do all the stuff
    automatically
  * Removed the shard library depends from Depends

 -- Harry Rickards <hrickards@l33tmyst.com>  Fri, 21 Aug 2009 16:30:14 +0100

lives (1.0.0-4) unstable; urgency=low

  * Updated policy version
  * Listed the libOSC authors
  * Added the libOSC license to debian/copyright
  * Listed the intl/ authors
  * Added the licenses for lives-plugins/icons/
  * Listed the authors for lives-plugins/icons/

 -- Harry Rickards <hrickards@l33tmyst.com>  Fri, 21 Aug 2009 09:29:30 +0100

lives (1.0.0-3) unstable; urgency=low

  * Changed debian/rules to use dh(1) 

 -- Harry Rickards <hrickards@l33tmyst.com>  Thu, 30 Jul 2009 12:19:01 +0100

lives (1.0.0-2) unstable; urgency=low

  * libweed0 dependency for lives is now versioned

  * Used -s for debhelper instead of -a

 -- Harry Rickards <hrickards@l33tmyst.com>  Wed, 29 Jul 2009 14:39:22 +0100

lives (1.0.0-1) unstable; urgency=low

  * Taken over the package after asking upstream what I could do to help with
    the packaging. Gürkan doesn't have a problem with this.

 -- Harry Rickards <hrickards@l33tmyst.com>  Sun, 26 Jul 2009 09:24:42 +0100

lives (0.9.9.7-1) unstable; urgency=low

  * Initial release. (Closes: #247337)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 07 Apr 2009 09:34:16 +0100
